Update device_types in lvm2 filters to support Micron PCIe SSD, among many others

Bug #1122445 reported by Kent Baxley on 2013-02-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Dell-poweredge project
High
Kent Baxley
lvm2 (Ubuntu)
High
Dimitri John Ledkov
Precise
Medium
Unassigned
Quantal
Medium
Unassigned

Bug Description

[Impact]

 * Out of the box lvm does not work on some devices:
   - Quantal: Micron PCIe SSD devices and others
   - Preicse: Micron PCIe SSD, FusionIO devices and others

 * This is hardware enabled backport, specifically to avoid forcing people to manually modify lvm.conf to enabled those devices to be visible by lvm.

[Test Case]

 * Create VG group on a Micron PCIe SSD and/or FusionIO device or any other device type that is missing (see Other Info for full list)
 * Note that vgchange -a y, does not automatically activate that VG group, unless this update is installed or /etc/lvm/lvm.conf is manually modified.

[Regression Potential]

 * This is adding an additional default filter, which one could add manual in lvm.conf. Tested and included upstream as well as other distributions.

[Other Info - Original bug report]

Full list of devices added:
Description: cherry pick new device types from upstream
--- a/lib/filters/filter.c
+++ b/lib/filters/filter.c
@@ -113,6 +113,11 @@
  {"virtblk", 8}, /* VirtIO disk */
  {"mmc", 16}, /* MMC block device */
  {"blkext", 1}, /* Extended device partitions */
+ {"fio", 16}, /* Fusion */
+ {"mtip32xx", 16}, /* Micron PCIe SSDs */
+ {"vtms", 16}, /* Violin Memory */
+ {"skd", 16}, /* STEC */
+ {"scm", 8}, /* Storage Class Memory (IBM S/390) */
  {NULL, 0}
 };

(Micron and below are new for both quantal & precise, Fusion is only new for precise)

The lvm2 package in 13.04, 12.10, and 12.04 needs to be patched so that it recognizes the mtip32xx controllers that ship in many Dell PowerEdge systems. This is the Micron PCIe SSD disk controller.

Currently, LVM does not recognize these devices, so when you go to create a physical volume on them, you are met with the following error:'

"Device /dev/rssda1 not found (or ignored by filter)"

The issue can be worked around by adding the following line to /etc/lvm/lvm.conf:

devices {
...
           types = ["mtip32xx", 16]

}

or for Fusion

devices {
...
           types = ["fio", 16]

}

However, in order to avoid confusion with users and to ensure that these devices 'just work' with LVM, the following patches have been requested:

http://git.fedorahosted.org/cgit/lvm2.git/log/?qt=grep&q=Micron

These fixes have been incorporated into Fedora / RHEL.

Kent Baxley (kentb) on 2013-02-11
information type: Proprietary → Public
Kent Baxley (kentb) on 2013-02-11
Changed in dell-poweredge:
importance: Undecided → High
status: New → Confirmed
assignee: nobody → Kent Baxley (kentb)
Kent Baxley (kentb) on 2013-02-11
description: updated
Changed in lvm2:
assignee: nobody → Dmitrijs Ledkovs (xnox)
affects: lvm2 → lvm2 (Ubuntu)
Changed in lvm2 (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Changed in lvm2 (Ubuntu Precise):
status: New → Confirmed
Changed in lvm2 (Ubuntu Quantal):
status: New → Confirmed
Changed in lvm2 (Ubuntu Precise):
importance: Undecided → Medium
Changed in lvm2 (Ubuntu Quantal):
importance: Undecided → Medium
Changed in lvm2 (Ubuntu Precise):
assignee: nobody → Dmitrijs Ledkovs (xnox)
Changed in lvm2 (Ubuntu Quantal):
assignee: nobody → Dmitrijs Ledkovs (xnox)
Changed in lvm2 (Ubuntu):
status: Confirmed → In Progress
Changed in lvm2 (Ubuntu Precise):
status: Confirmed → In Progress
description: updated
summary: - Need to patch lvm2 so that it works with Micron PCIe SSD devices
+ Update device_types in lvm2 filters to support Micron PCIe SSD, among
+ many others
Changed in lvm2 (Ubuntu Quantal):
status: Confirmed → In Progress
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lvm2 - 2.02.95-6ubuntu4

---------------
lvm2 (2.02.95-6ubuntu4) raring; urgency=low

  * Actually just update all device-types to latest available. (LP: #1122445)
 -- Dmitrijs Ledkovs <email address hidden> Thu, 14 Mar 2013 15:03:49 +0000

Changed in lvm2 (Ubuntu):
status: In Progress → Fix Released

Hello Kent, or anyone else affected,

Accepted lvm2 into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/lvm2/2.02.66-4ubuntu7.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in lvm2 (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Chris Halse Rogers (raof) wrote :

Hello Kent, or anyone else affected,

Accepted lvm2 into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/lvm2/2.02.95-4ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in lvm2 (Ubuntu Quantal):
status: In Progress → Fix Committed
Kent Baxley (kentb) wrote :

Verified in with precise-proposed version of lvm2.

Dimitri John Ledkov (xnox) wrote :

Quantal upload is essentially a safe-guard to not regress if one upgrades from precise->quantal.

tags: added: verification-done verification-precise-done verification-quantal-done
removed: verification-needed
Kent Baxley (kentb) on 2013-03-21
Changed in dell-poweredge:
status: Confirmed → Fix Committed
Changed in lvm2 (Ubuntu Precise):
assignee: Dmitrijs Ledkovs (xnox) → nobody
Changed in lvm2 (Ubuntu Quantal):
assignee: Dmitrijs Ledkovs (xnox) → nobody

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lvm2 - 2.02.95-4ubuntu1.1

---------------
lvm2 (2.02.95-4ubuntu1.1) quantal; urgency=low

  * Add more supported device-types (Micon PCIe SSD and others).
    (LP: #1122445)
 -- Dmitrijs Ledkovs <email address hidden> Thu, 14 Mar 2013 21:42:40 +0000

Changed in lvm2 (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lvm2 - 2.02.66-4ubuntu7.3

---------------
lvm2 (2.02.66-4ubuntu7.3) precise; urgency=low

  * Add more supported device-types (Micon PCIe SSD and others).
    (LP: #1122445)
 -- Dmitrijs Ledkovs <email address hidden> Thu, 14 Mar 2013 21:45:46 +0000

Changed in lvm2 (Ubuntu Precise):
status: Fix Committed → Fix Released
Dimitri John Ledkov (xnox) wrote :

So tomorrow precise daily images will have the updated lvm2 udebs on the images for server images.

http://cdimages.ubuntu.com/ubuntu-server/precise/daily/

Alternatively one would need to netboot to install with lvm support directly on to the added devices.

Kent Baxley (kentb) wrote :

Thanks for the help!

Changed in dell-poweredge:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers